Variance-Aware Multiple Importance Sampling
===============================================

In this repository / archive you find the source code and rendering results of the following paper:

> Pascal Grittmann, Iliyan Georgiev, Philipp Slusallek, and Jaroslav Křivánek. 2019. **Variance-Aware Multiple Importance Sampling**. ACM Trans. Graph. 38, 6, Article 152 (November 2019), 9 pages. https://doi.org/10.1145/3355089.3356515

Overview
----------

1. Python script for 1D examples: The 1D examples from the paper can be reproduced with the `OneDimensionalExamples.py` script. The script uses numpy and matplotlib. Visual Studio Code can be used to convert the script into a Jupyter notebook.

2. PBRT implementation: The folder `SourceCode` contains the modified PBRT implementation. The `README.md` file their contains additional instructions on how to use it.

3. Rendering results: The folder `Results` contains tonemapped .png images of the scenes used in the paper. Each sub-folder corresponds to one scene and in turn contains one sub-folder for every method. Colormapped images of the variance factors (see paper) are also included there.
